Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003569Site[All Projects] Bugpublic2018-11-25 23:352018-12-05 06:38
ReporterWubTheCaptain 
Assigned ToBlzut3 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusassignedResolutionopen 
PlatformOSOS Version
Summary0003569: Doomseeker's issue categorization has no useful categories
DescriptionI'm unable to view tickets sorted by category of affected issue on Zandronum issue tracker (MantisBT). There's a lot of tickets in the project, none categorized.

For a long while now, I've been creating feature request tickets in the Doomseeker project as "[All Projects] Bug" and ignoring the existence of "[All Projects] Suggestion" category. Neither is useful for searching, so the categorization is useless to me but required by the "Report Issue" form.

Almost any feature request in the Doomseeker project has the severity "feature", even if it is worded as an issue. (I'd also prefer them to be worded as issues with the appropriate severity, so that they are actionable.)

Since I don't have skills or interests in C++ programming language as a developer, I work more with software packaging (devops?) and writing documentation for Doomseeker.
Steps To ReproduceGo to "View Issues" in MantisBT and try to find specific areas of the software with "Category" option in search. The two options offered are useless and make up 100% (?) of the tickets in the Doomseeker project.

Examples of ticket categorization:

Additional InformationRelated to 0003528. (This ticket should, of course, have an issue category "MantisBT" or "Issue tracker" but such option is not available as of writing this.)

Monitoring issues is a workaround, but can have other interests to me and thus may get clogged; this is unideal, too. Assigning issues to myself also doesn't always work the way I'd like, because I might take assignment to take responsibility of closing an invalid ticket.

Adding categorization could also remove some unrelated "Related to" ticket entries, which has been another workaround to these issues.
Attached Files

- Relationships

-  Notes
User avatar (0020207)
WubTheCaptain (reporter)
2018-11-25 23:42

I will, of course, volunteer to sort the tickets in the Doomseeker project if few of the example categories are added to the issue tracker.
User avatar (0020208)
Blzut3 (administrator)
2018-11-28 06:17

The categories we have here are just the defaults that Mantis provides if I recall correctly. Your proposals look fine, although I might argue that your changelog category is either documentation or cleanup (note dropped "code"). Just feel like changelog is a bit too specific of a category.
User avatar (0020210)
WubTheCaptain (reporter)
2018-11-30 07:02

"Changelog" was inspired by MantisBT's own use of it in their tracker, but I can agree with your note.
User avatar (0020212)
Blzut3 (administrator)
2018-12-01 06:44

I would think their "Changelog" category would be referring to development of the changelog feature of MantisBT not documentation of their changes.

I've added the other categories except for "other". (All but sites and UI apply to all projects since I think they'll be useful for Zandronum as well.) I think Bugs/Suggestion covers other and I'm not sure if I want to change the meaning of all of the existing tickets. Feel free to make a case otherwise, but I don't know what would happen if I delete a category so really leaning towards leaving it be.

As you go editing tickets I do ask that you be mindful of the daily email limit and leave closed tickets alone.
User avatar (0020213)
WubTheCaptain (reporter)
2018-12-04 00:05

Do you know the exact daily email limit?
User avatar (0020214)
Blzut3 (administrator)
2018-12-04 00:14

2,000
User avatar (0020215)
WubTheCaptain (reporter)
2018-12-04 00:21

I'd like to handpick few closed tickets such as 0002881 for Wadseeker sites category, etc. Otherwise I may honor your request to not touch closed tickets (older than Doomseeker 1.1 release). Hoping this is okay?
User avatar (0020216)
Blzut3 (administrator)
2018-12-04 00:22

That is fine.
User avatar (0020217)
WubTheCaptain (reporter)
2018-12-04 00:27

Email delivery has been lagging for many days now. I've been monitoring this thread and not received a single email since 2018-12-01. I'll continue later.
User avatar (0020218)
Blzut3 (administrator)
2018-12-04 00:27

I'm getting them basically immediately.
User avatar (0020219)
WubTheCaptain (reporter)
2018-12-04 00:46

How about a "Country flags" category?

  1. 0003327
  2. 0003457
  3. 0003330
  4. 0003539
  5. 0003365


By stretch, also 0003549.
User avatar (0020220)
WubTheCaptain (reporter)
2018-12-04 00:47

Quote from WubTheCaptain
How about a "Country flags" category?


"IP2C" sounds better and more generalized.
User avatar (0020222)
Blzut3 (administrator)
2018-12-05 05:48

Added IP2C.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: Pol M WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-11-25 23:35 WubTheCaptain New Issue
2018-11-25 23:42 WubTheCaptain Note Added: 0020207
2018-11-28 06:17 Blzut3 Note Added: 0020208
2018-11-30 07:02 WubTheCaptain Note Added: 0020210
2018-12-01 06:24 Blzut3 Assigned To => Blzut3
2018-12-01 06:24 Blzut3 Status new => assigned
2018-12-01 06:44 Blzut3 Note Added: 0020212
2018-12-01 06:44 Blzut3 Status assigned => feedback
2018-12-04 00:05 WubTheCaptain Note Added: 0020213
2018-12-04 00:05 WubTheCaptain Status feedback => assigned
2018-12-04 00:14 Blzut3 Note Added: 0020214
2018-12-04 00:21 WubTheCaptain Note Added: 0020215
2018-12-04 00:22 Blzut3 Note Added: 0020216
2018-12-04 00:27 WubTheCaptain Note Added: 0020217
2018-12-04 00:27 Blzut3 Note Added: 0020218
2018-12-04 00:46 WubTheCaptain Note Added: 0020219
2018-12-04 00:47 WubTheCaptain Note Added: 0020220
2018-12-05 05:48 Blzut3 Note Added: 0020222






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker